Get Coins By Name
Query Template
Filtering Options
Parameter | Type | Description |
|---|---|---|
where | object | An object that filters results based on specific conditions. |
limit | integer | The maximum number of results to return. |
offset | integer | Specifies the starting position of the results. |
order_by | object | An object that specifies the criteria for sorting results. Multiple fields can be used as sorting criteria. |
Query Fields
Field | Type | Description |
|---|---|---|
asset_type | string | A unique string that identifies the asset type. |
name | string | The name of the asset. |
creator_address | string | The address of the asset creator. |
decimals | integer | An integer representing the number of decimal places of the asset. |
symbol | string | The symbol of the asset. |
last_transaction_timestamp | string | The timestamp of the last transaction (ISO 8601 format). |
last_transaction_version | integer | An integer representing the version of the last transaction. |
Example
Request Example
query MyQuery {
fungible_asset_metadata(
order_by: {name: asc}
where: {name: {_gte: "A", _lte: "B"}}
limit: 5
offset: 0
) {
asset_type
name
creator_address
decimals
symbol
last_transaction_timestamp
last_transaction_version
}
}
Response Example
{
"data": {
"fungible_asset_metadata": [
{
"asset_type": "0x50717766d1b260c55e022eacb6b0a096eff66278cec2d6b96e760f8e4b1bcf77::a_coin::ACoin",
"name": "A",
"creator_address": "0x50717766d1b260c55e022eacb6b0a096eff66278cec2d6b96e760f8e4b1bcf77",
"decimals": 2,
"symbol": "A",
"last_transaction_timestamp": "2024-05-10T21:43:17",
"last_transaction_version": 593354962
},
{
"asset_type": "0x3034037b101dacaad4bfd5729496d434743fd491cb349d36355a05cda7be319f::a3_coin::A3Coin",
"name": "A3zin",
"creator_address": "0x3034037b101dacaad4bfd5729496d434743fd491cb349d36355a05cda7be319f",
"decimals": 8,
"symbol": "A3",
"last_transaction_timestamp": "2024-05-14T07:55:24",
"last_transaction_version": 600087165
},
{
"asset_type": "0xa47da29328eb13a2ec27781f984447d795258f9e29dab6d1647dc9762b13456d::aaa_coin::AaaCoin",
"name": "AAA",
"creator_address": "0xa47da29328eb13a2ec27781f984447d795258f9e29dab6d1647dc9762b13456d",
"decimals": 2,
"symbol": "AAA",
"last_transaction_timestamp": "2024-07-01T15:36:54",
"last_transaction_version": 1008731852
},
{
"asset_type": "0xefe99e8f18ba69216dc4f191734a4fd9523de78d38fb823a4550680939e71141::aaaa_coin::AaaaCoin",
"name": "AAA",
"creator_address": "0xefe99e8f18ba69216dc4f191734a4fd9523de78d38fb823a4550680939e71141",
"decimals": 4,
"symbol": "AAAA",
"last_transaction_timestamp": "2024-07-04T11:29:52",
"last_transaction_version": 1013437768
},
{
"asset_type": "0xb00be0909b1c38e9b26f1309193f82e6d7b570e8e8bfeaa28bdd287dd174b01a::coin_module::CoinModule",
"name": "AAAAAAAAAAAAAAAAAAAA",
"creator_address": "0xb00be0909b1c38e9b26f1309193f82e6d7b570e8e8bfeaa28bdd287dd174b01a",
"decimals": 199,
"symbol": "BBBBBBBBBB",
"last_transaction_timestamp": "2024-01-19T19:19:25",
"last_transaction_version": 411745318
}
]
}
}